Subject: Re: bug#27178: 26.0.50; libxml-parse-*-region functions ignore discard-comments argument

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Apr 2018 18:00:23 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 14 Apr 2018 15:54:05 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> On the other hand, we could deprecate that option (since it's rather
> >> nonsensical the way it is now), and just provide a Lisp convenience
> >> function to delete the comments if you don't want comments?  I think
> >> that sounds cleaner and much easier to implement.
> >
> > That is also fine with me, thanks.
> 
> Hm...  do we have a mechanism to mark parameters as obsolete

I don't believe so, but maybe others will have me corrected.

> or should I just mention it in the doc string?

If that's the only way, yes, please.